Subject: Re: bug#50474: 28.0.50; whitespace-mode in non-editable Gnus buffers

From: Stephen Berman <[email-masked]>
Date: Wed, 08 Sep 2021 15:48:53 +0200

On Wed, 08 Sep 2021 15:26:55 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> Enabling whitespace-mode in Gnus Group, Summary or Article buffers
>> removes the Gnus-specific fontification in these buffers.
>
> Yes, that's not supported -- none of the font locking stuff can be used
> in Gnus buffers (since it controls the fonts itself).

That's what I assumed, but is it documented?  (I briefly looked but
didn't see anything relevant.)  And although it's probably not too
common to enable whitespace-mode in a non-editable Gnus buffer, it is a
gotcha if you happen to do so.  It would be user-friendly to prevent
that, but maybe the effort isn't worth it.

Steve Berman